# ChangeLog for sys-cluster/drbd
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-cluster/drbd/ChangeLog,v 1.60 2007/02/05 00:36:23 xmerlin Exp $

*drbd-8.0.0 (05 Feb 2007)

  05 Feb 2007; Christian Zoffoli <xmerlin@gentoo.org>
  -files/0.6.12-Makefile.vars.patch, -files/0.6.12-init,
  -files/0.6.12-conf.d, -files/0.6.12-module-Makefile.patch,
  -files/0.6.12-scripts-Makefile.patch,
  +files/drbd-8.0.0-scripts.adjust_drbd_config_h.sh.patch,
  -drbd-0.7.21.ebuild, -drbd-8.0_pre5.ebuild, -drbd-8.0_pre6.ebuild,
  +drbd-8.0.0.ebuild:
  Version bump, ebuild cleanup.

*drbd-0.7.23 (05 Feb 2007)
*drbd-0.7.22-r1 (05 Feb 2007)

  05 Feb 2007; Christian Zoffoli <xmerlin@gentoo.org>
  +files/drbd-0.7.22-nodevfs.patch,
  +files/drbd-0.7.22-scripts.adjust_drbd_config_h.sh.patch,
  +drbd-0.7.22-r1.ebuild, +drbd-0.7.23.ebuild:
  Fixed compilation with newer kernels, version bump.

  31 Dec 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.22.ebuild:
  Stable x86.

*drbd-8.0_pre6 (19 Dec 2006)

  19 Dec 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-8.0_pre6.ebuild:
  Version bump.

*drbd-0.7.22 (19 Dec 2006)

  19 Dec 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.22.ebuild:
  Version bump.

  03 Dec 2006; Steve Dibb <beandog@gentoo.org> drbd-0.7.21.ebuild,
  drbd-8.0_pre5.ebuild:
  Add ~amd64, bug 140411

  15 Oct 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.21.ebuild,
  drbd-8.0_pre5.ebuild:
  Removed check_KV, improved ebuild.

  14 Oct 2006; Christian Zoffoli <xmerlin@gentoo.org>
  -drbd-0.6.12-r1.ebuild, -drbd-0.7.11.ebuild, -drbd-0.7.17.ebuild,
  -drbd-0.7.18.ebuild, -drbd-0.7.19.ebuild, -drbd-0.7.20.ebuild,
  -drbd-8.0_pre3.ebuild, -drbd-8.0_pre4.ebuild:
  Ebuild cleanup.

*drbd-8.0_pre5 (14 Oct 2006)

  14 Oct 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-8.0_pre5.ebuild:
  Version bump.

  24 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.21.ebuild:
  Stable x86.

*drbd-8.0_pre4 (10 Aug 2006)
*drbd-0.7.21 (10 Aug 2006)

  10 Aug 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.21.ebuild,
  +drbd-8.0_pre4.ebuild:
  Version bumps.

  18 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.20.ebuild:
  Stable x86.

  14 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-8.0_pre3.ebuild:
  Removed old doc install.

*drbd-0.7.20 (12 Jul 2006)
  12 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.20.ebuild:
  Version bump.

*drbd-0.7.19 (12 Jul 2006)
  12 Jul 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.19.ebuild:
  Stable x86.

*drbd-8.0_pre3 (04 Jun 2006)

  04 Jun 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-8.0_pre3.ebuild:
  Version bump.

*drbd-0.7.19 (27 May 2006)

  27 May 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.19.ebuild:
  Version bump.

  20 May 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.18.ebuild:
  Stable x86.

  20 May 2006; Christian Zoffoli <xmerlin@gentoo.org> -drbd-0.7.10.ebuild,
  -drbd-0.7.14.ebuild, -drbd-0.7.15.ebuild, -drbd-0.7.16.ebuild:
  Removed old ebuilds.

  20 May 2006; Christian Zoffoli <xmerlin@gentoo.org> -files/drbd-0.7-init,
  +files/drbd-0.7.rc, drbd-0.7.10.ebuild, drbd-0.7.11.ebuild,
  drbd-0.7.14.ebuild, drbd-0.7.15.ebuild, drbd-0.7.16.ebuild,
  drbd-0.7.17.ebuild, drbd-0.7.18.ebuild:
  Ebuild cleanup.

*drbd-0.7.18 (10 May 2006)

  10 May 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.18.ebuild:
  Version Bump, closed bug #132683.

  24 Mar 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.17.ebuild:
  Stable x86.

*drbd-0.7.17 (13 Mar 2006)

  13 Mar 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.17.ebuild:
  Version bump.

*drbd-0.7.16 (27 Feb 2006)

  27 Feb 2006; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.14.ebuild,
  +drbd-0.7.16.ebuild:
  Version bump.

*drbd-0.7.15 (09 Jan 2006)

  09 Jan 2006; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.15.ebuild:
  Version bump.

  21 Dec 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.14.ebuild:
  Stable on x86.

*drbd-0.7.14 (11 Nov 2005)

  11 Nov 2005; Christian Zoffoli <xmerlin@gentoo.org> -drbd-0.7.13.ebuild,
  +drbd-0.7.14.ebuild:
  added drbd-0.7.14, removed buggy 0.7.13.

  01 Sep 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.11.ebuild:
  marked stable on x86.

*drbd-0.7.13 (01 Sep 2005)

  01 Sep 2005; Christian Zoffoli <xmerlin@gentoo.org> -drbd-0.7.12.ebuild,
  +drbd-0.7.13.ebuild:
  removed the buggy drbd-0.7.12, added drbd-0.7.13 to cvs.

*drbd-0.7.12 (29 Aug 2005)

  29 Aug 2005; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.12.ebuild:
  added drbd-0.7.12 to portage.

  17 Jun 2005; David Holm <dholm@gentoo.org> drbd-0.7.11.ebuild:
  Added to ~ppc.

*drbd-0.7.11 (17 Jun 2005)

  17 Jun 2005; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.11.ebuild:
  drbd-0.7.11 added to portage.

  14 Jun 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.10.ebuild:
  removed heartbeat runtime dependency. Closed bug #95660.

  15 Mar 2005; Christian Zoffoli <xmerlin@gentoo.org> files/drbd-0.7-init:
  better device handling in a udev env.

  13 Mar 2005; Christian Zoffoli <xmerlin@gentoo.org> files/drbd-0.7-init:
  fixed device check/creation closed bug #84871, thanks to joram agten
  <joramagten@hotmail.com>

  09 Mar 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.10.ebuild:
  removed inherit check-kernel

  02 Mar 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.10.ebuild:
  fixed compilation with 2.4 kernels (closed bug #83803)

  01 Mar 2005; Christian Zoffoli <xmerlin@gentoo.org> files/drbd-0.7-init:
  improved init script (now it works better with udev)

  23 Feb 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.10.ebuild:
  drbd-0.7.10 marked stable on x86

  23 Feb 2005; Christian Zoffoli <xmerlin@gentoo.org>
  -files/drbd-0.7.9-bio_patch_memory_overwrite.patch, -drbd-0.7.8.ebuild:
  removed old files

  03 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  drbd-0.6.12-r1.ebuild:
  inherit linux-info.

*drbd-0.7.10 (31 Jan 2005)

  31 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.10.ebuild,
  -drbd-0.7.9-r1.ebuild, -drbd-0.7.9.ebuild:
  removed buggy 0.7.9 release

*drbd-0.7.10 (31 Jan 2005)

  31 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.10.ebuild:
  release 0.7.10 (to fix the 0.7.9 disaster)

*drbd-0.7.9-r1 (27 Jan 2005)

  27 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.8.ebuild,
  drbd-0.7.9-r1.ebuild, drbd-0.7.9.ebuild:
  drbd-0.7.9/0.7.9-r1 has a memory corruption bug, now it's better to use 0.7.8
  with a vanilla 2.6.10 or 2.6.9.

  26 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> :
  fixed memory overwrite in bio patch

  26 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org>
  -files/drbd-0.7-bio.patch, -drbd-0.7.8-r1.ebuild, -drbd-0.7.8.ebuild,
  drbd-0.7.9.ebuild:
  removed some old files/ebuild, added a note to not use drbd within XFS (it's
  not stable)

*drbd-0.7.9 (25 Jan 2005)

  25 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> +drbd-0.7.9.ebuild:
  official 0.7.9 release with bio patch merged

  25 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.8-r1.ebuild,
  drbd-0.7.8.ebuild:
  fixed module installation path, now it's possibly to compile the module even
  if we don't run the target kernel

  25 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> -drbd-0.7.7.ebuild:
  removed obsolete drbd-0.7.7.ebuild

*drbd-0.7.8-r1 (25 Jan 2005)

  25 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org>
  +files/drbd-0.7-bio.patch, +drbd-0.7.8-r1.ebuild:
  fixed bug #79089 kernel 2.6.10-gentoo-rXX and up

  24 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.7.7.ebuild,
  drbd-0.7.8.ebuild:
  added more doc (upgrade_*.txt) as suggested by ffelix@sshinf.com

  21 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> drbd-0.6.12-r1.ebuild,
  drbd-0.7.7.ebuild, drbd-0.7.8.ebuild:
  added some infos if the compile/install process die

*drbd-0.7.8 (21 Jan 2005)

  21 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org>
  +files/drbd-0.7-module-Makefile.patch,
  -files/drbd-0.7.7-module-Makefile.patch, drbd-0.7.7.ebuild,
  +drbd-0.7.8.ebuild:
  added ebuild for 0.7.8, renamed a patch (used by 0.7.7 and 0.7.8)

*drbd-0.7.7 (13 Jan 2005)

  13 Jan 2005; Christian Zoffoli <xmerlin@gentoo.org> +files/drbd-0.7-init,
  +files/drbd-0.7.7-module-Makefile.patch, +drbd-0.7.7.ebuild:
  merged Brian Jackson's (iggy@gentoo.org> ebuild (attachment id=40930) with
  my ebuild, added some additional checks to prevent drbd stop before umount the
  device, removed unneed /var/lib/drbd dir, fixed "ACCESS DENIED" error in the
  depmod phase, added Francisco Javier's <ffelix@sshinf.com> suggestions to use
  the linux-mod eclass (attachment id=48373).

  20 Sep 2004; Michael Imhof <tantive@gentoo.org>
  -files/0.6.6-Makefile.vars.patch, -files/0.6.6-drbd-Makefile.patch,
  -files/0.6.6-init, -files/0.6.6-scripts-Makefile.patch,
  drbd-0.6.12-r1.ebuild, -drbd-0.6.12.ebuild, -drbd-0.6.6-r2.ebuild:
  Fixed RDEPEND.

  19 Sep 2004; Michael Imhof <tantive@gentoo.org> drbd-0.6.12-r1.ebuild,
  -drbd-0.6.12.ebuild, -drbd-0.6.6-r2.ebuild:
  Cleaned out old ebuilds.

*drbd-0.6.12-r1 (30 Aug 2004)

  30 Aug 2004; Michael Imhof <tantive@gentoo.org> +files/0.6.12-conf.d,
  +files/0.6.12-init, +drbd-0.6.12-r1.ebuild:
  Version bumped. Fixes #56659.

*drbd-0.6.12 (30 Apr 2004)

  30 Apr 2004; Michael Imhof <tantive@gentoo.org> drbd-0.6.12.ebuild,
  files/0.6.12-Makefile.vars.patch, files/0.6.12-module-Makefile.patch,
  files/0.6.12-scripts-Makefile.patch:
  Version bumped. Closes #47802.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> drbd-0.6.6-r2.ebuild:
  Add inherit eutils

*drbd-0.6.6-r2 (02 Sep 2003)

  02 Sep 2003; Jan Krueger <jk@microgalaxy.net>
  gentoo-ish init script, a wrapper for the original drbd init script
  better portage-ification of ebuild
  tweaks to the drbd installation process for better gentoo integration
  modular patches for enhanced patch reusability

*drbd-0.6.6-r1 (01 Sep 2003)

  01 Sep 2003; Jan Krueger <jk@microgalaxy.net>
  proper handling of /var/lib/drbd
  install some basic documentation

*drbd-0.6.6 (31 Aug 2003)

  31 Aug 2003; Jan Krueger <jk@microgalaxy.net>
  initial Version
  we depend on vanilla-sources
  only minor tweaks to Makefiles of orininal source tree
